> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1rubrics



## OpenAPI

````yaml /api/openapi.json post /api/v1/rubrics
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/rubrics:
    post:
      tags:
        - session
      operationId: createRubric
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                version:
                  type: string
                  minLength: 1
                attribution:
                  type:
                    - string
                    - 'null'
                standards:
                  minItems: 1
                  maxItems: 40
                  type: array
                  items:
                    type: object
                    properties:
                      number:
                        type: string
                        minLength: 1
                      title:
                        type: string
                        minLength: 1
                      description:
                        type: string
                      items:
                        minItems: 1
                        maxItems: 40
                        type: array
                        items:
                          type: object
                          properties:
                            number:
                              type: string
                              minLength: 1
                            text:
                              type: string
                              minLength: 1
                            kind:
                              $ref: '#/components/schemas/RubricCheckKind'
                            check:
                              anyOf:
                                - $ref: '#/components/schemas/AutomaticCheck'
                                - type: 'null'
                            criteria:
                              type: string
                          required:
                            - number
                            - text
                            - kind
                    required:
                      - number
                      - title
                      - items
              required:
                - name
                - standards
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rubric'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    RubricCheckKind:
      type: string
      enum:
        - automatic
        - ai
        - attestation
    AutomaticCheck:
      type: string
      enum:
        - outcomes-present
        - module-objectives
        - assessments-aligned
        - outcomes-assessed
        - access-score
        - reading-level
        - navigation-instructions
        - instructor-contact
        - template-followed
        - time-estimates
        - ai-drafts-kept
        - media-alternatives
        - descriptive-links
    Rubric:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
        source:
          type: string
          enum:
            - tessera
            - oscqr
            - custom
        version:
          type: string
          minLength: 1
        attribution:
          type:
            - string
            - 'null'
        builtIn:
          type: boolean
        standards:
          minItems: 1
          maxItems: 40
          type: array
          items:
            $ref: '#/components/schemas/RubricStandard'
        updatedAt:
          type: string
          minLength: 1
      required:
        - id
        - name
        - source
        - version
        - attribution
        - builtIn
        - standards
        - updatedAt
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    RubricStandard:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        number:
          type: string
          minLength: 1
        title:
          type: string
          minLength: 1
        description:
          type: string
        items:
          minItems: 1
          maxItems: 40
          type: array
          items:
            $ref: '#/components/schemas/RubricItem'
      required:
        - id
        - number
        - title
        - description
        - items
      additionalProperties: false
    RubricItem:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        number:
          type: string
          minLength: 1
        text:
          type: string
          minLength: 1
        kind:
          $ref: '#/components/schemas/RubricCheckKind'
        check:
          anyOf:
            - $ref: '#/components/schemas/AutomaticCheck'
            - type: 'null'
        criteria:
          type: string
      required:
        - id
        - number
        - text
        - kind
        - check
        - criteria
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````